%{?nodejs_find_provides_and_requires}

%global packagename ps-tree

# Tests require modules not yet in Fedora
%global enable_tests 0

Name:		nodejs-ps-tree
Version:	1.2.0
Release:	1%{?dist}
Summary:	Get all children of a pid

License:	MIT
URL:		https://github.com/indexzero/ps-tree.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(event-stream)

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Get all children of a pid


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

sed -i '1s/env //' bin/ps-tree.js
chmod +x bin/ps-tree.js

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/%{packagename}.js \
    %{buildroot}%{_bindir}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/tape test/test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}

%changelog
* Sat Dec  8 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.2.0-1
- Initial packaging
